from django.db import models

class SEOConfiguration(models.Model):


    home_page_meta_title = models.CharField(max_length=100, help_text="SEO title for the page (max 60 characters).")
    home_page_meta_description = models.CharField(max_length=300, help_text="Meta description for search engines (max 160 characters).")
    
    about_meta_title = models.CharField(max_length=100, help_text="SEO title for the page (max 60 characters).")
    about_meta_description = models.CharField(max_length=300, help_text="Meta description for search engines (max 160 characters).")

    tools_meta_title = models.CharField(max_length=100, help_text="SEO title for the page (max 60 characters).")
    tools_meta_description = models.CharField(max_length=300, help_text="Meta description for search engines (max 160 characters).")

    contact_meta_title = models.CharField(max_length=100, help_text="SEO title for the page (max 60 characters).")
    contact_meta_description = models.CharField(max_length=300, help_text="Meta description for search engines (max 160 characters).")

    career_meta_title = models.CharField(max_length=100, help_text="SEO title for the page (max 60 characters).")
    career_meta_description = models.CharField(max_length=300, help_text="Meta description for search engines (max 160 characters)." )

    blog_meta_title = models.CharField(max_length=100, help_text="SEO title for the page (max 60 characters).")
    blog_meta_description = models.CharField(max_length=300, help_text="Meta description for search engines (max 160 characters).")

    term_and_con_meta_title = models.CharField(max_length=100, help_text="SEO title for the page (max 60 characters).")
    term_and_con_meta_description = models.CharField(max_length=300, help_text="Meta description for search engines (max 160 characters).")
    term_and_con_canonical_url = models.URLField(blank=True, null=True, help_text="Canonical URL to avoid duplicate content.")

    privacy_pol_meta_title = models.CharField(max_length=100, help_text="SEO title for the page (max 60 characters).")
    privacy_pol_meta_description = models.CharField(max_length=300, help_text="Meta description for search engines (max 160 characters).")
    privacy_pol_canonical_url = models.URLField(blank=True, null=True, help_text="Canonical URL to avoid duplicate content.")
